Package twisted :: Package protocols :: Module imap4 :: Class IMailboxListener |
[frames | no frames]

## Class IMailboxListener

    Interface --+
                |
               IMailboxListener

Interface for objects interested in mailbox events

Method Summary
| ``flagsChanged`(self, newFlags)` Indicates that the flags of one or more messages have changed.
| ``modeChanged`(self, writeable)` Indicates that the write status of a mailbox has changed.
| ``newMessages`(self, exists, recent)` Indicates that the number of messages in a mailbox has changed.

Method Details

### flagsChanged(self, newFlags) Indicates that the flags of one or more messages have changed. Parameters: `newFlags` - A mapping of message identifiers to tuples of flags new set on that message. (type=`dict`)

### modeChanged(self, writeable) Indicates that the write status of a mailbox has changed. Parameters: `writeable` - A true value if write is now allowed, false otherwise. (type=`bool`)

### newMessages(self, exists, recent) Indicates that the number of messages in a mailbox has changed. Parameters: `exists` - The total number of messages now in this mailbox. If the total number of messages has not changed, this should be `None`. (type=`int` or `None`) `recent` - The number of messages now flagged \Recent. If the number of recent messages has not changed, this should be `None`. (type=`int`)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net